# 本库说明
* 2024-2-19增加多角色同时训练，其中文件“Bert-VITS v2.0.2 一键训练脚本.ipynb”中的DATASETNAME为通用模型目录名，所有新训练的wav格式文件要添加到data目录中（目前测试1分钟左右的视频就可以，训练步数要在2000步左右）。

* 视频来源https://www.bilibili.com/video/BV1Uu4y1w7q3
* 音频可以使用长语音，也可以使用短语音。如果使用长语音，则需要使用clean_list.py进行切分和slice.py进行数据集整理，clean_list.py参考一个大佬：https://github.com/v3ucn/Bert-VITS2_V202_Train/的音频切分；slice.py参考：https://blog.csdn.net/qq_51506262/article/details/133359555和https://www.bilibili.com/video/BV1b34y1g7Ah。如果使用短语音，注意短语音命名要以**_0开始，则在slice.py中，要注释split_long_audio(model, f"data/{a}", f"./raw/{a}")相关内容，只进行语音识别。
* 使用重新采样resample.py过程中，如果有报错，则要重新生成音频文件，以及命名。因为有音频长度为0。
* 可以使用webui.py进行测试。如果需要python命令生成，则参考：inference_single.py。示例：python inference_single.py --model gxd/models/g_4000.pth --text 吃葡萄不吐葡萄皮，不吃葡萄倒吐葡萄皮
* 同样准备了colab上的ipynb训练和推理示例（Bert-VITS v2.0.2 一键训练脚本.ipynb）

# Bert-VITS2

VITS2 Backbone with multipal-language bert
## 请注意，本项目核心思路来源于[anyvoiceai/MassTTS](https://github.com/anyvoiceai/MassTTS) 一个非常好的tts项目
## MassTTS的演示demo为[ai版峰哥锐评峰哥本人,并找回了在金三角失落的腰子](https://www.bilibili.com/video/BV1w24y1c7z9)

[//]: # (## 本项目与[PlayVoice/vits_chinese]&#40;https://github.com/PlayVoice/vits_chinese&#41; 没有任何关系)

[//]: # ()
[//]: # (本仓库来源于之前朋友分享了ai峰哥的视频，本人被其中的效果惊艳，在自己尝试MassTTS以后发现fs在音质方面与vits有一定差距，并且training的pipeline比vits更复杂，因此按照其思路将bert)

## 成熟的旅行者/开拓者/舰长/博士/sensei/猎魔人/喵喵露/V应当参阅代码自己学习如何训练。

### 严禁将此项目用于一切违反《中华人民共和国宪法》，《中华人民共和国刑法》，《中华人民共和国治安管理处罚法》和《中华人民共和国民法典》之用途。
### 严禁用于任何政治相关用途。
#### Video:https://www.bilibili.com/video/BV1hp4y1K78E
#### Demo:https://www.bilibili.com/video/BV1TF411k78w
## References
+ [anyvoiceai/MassTTS](https://github.com/anyvoiceai/MassTTS)
+ [jaywalnut310/vits](https://github.com/jaywalnut310/vits)
+ [p0p4k/vits2_pytorch](https://github.com/p0p4k/vits2_pytorch)
+ [svc-develop-team/so-vits-svc](https://github.com/svc-develop-team/so-vits-svc)
+ [PaddlePaddle/PaddleSpeech](https://github.com/PaddlePaddle/PaddleSpeech)
+ [emotional-vits](https://github.com/innnky/emotional-vits)
+ [Bert-VITS2-en](https://github.com/xwan07017/Bert-VITS2-en)
+ [Bert-VITS2-UI](https://github.com/jiangyuxiaoxiao/Bert-VITS2-UI)
## 感谢所有贡献者作出的努力
<a href="https://github.com/fishaudio/Bert-VITS2/graphs/contributors" target="_blank">
  <img src="https://contrib.rocks/image?repo=fishaudio/Bert-VITS2"/>
</a>

[//]: # (# 本项目所有代码引用均已写明，bert部分代码思路来源于[AI峰哥]&#40;https://www.bilibili.com/video/BV1w24y1c7z9&#41;，与[vits_chinese]&#40;https://github.com/PlayVoice/vits_chinese&#41;无任何关系。欢迎各位查阅代码。同时，我们也对该开发者的[碰瓷，乃至开盒开发者的行为]&#40;https://www.bilibili.com/read/cv27101514/&#41;表示强烈谴责。)
